# Poco

# template < class TKey, class TValue >

# class KeyValueArgs

Library: Foundation
Package: Cache
Header: Poco/KeyValueArgs.h

## Description

Simply event arguments class to transfer a key and a value via an event call. Note that key and value are *NOT* copied, only references to them are stored.

## Member Summary

Member Functions: key, value

## Constructors

### KeyValueArgs

KeyValueArgs(
const KeyValueArgs & args
);

### KeyValueArgs

KeyValueArgs(
const TKey & aKey,
const TValue & aVal
);

## Destructor

### ~KeyValueArgs

~KeyValueArgs();

## Member Functions

### key

const TKey & key() const;

Returns a reference to the key,

### value

const TValue & value() const;

Returns a Reference to the value.

## Variables

### _key

const TKey & _key;

### _value

const TValue & _value;